@import url("https://use.fontawesome.com/releases/v5.13.0/css/all.css");

.md-rate-grid {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: nowrap;
  border-bottom: 1px solid #b1b1b1;
  width: 100%;
}
.md-rate-grid > .rate-grid-cell1 {
  width: calc(100%);
  min-width: 150px;
}

.rate-title {
  padding-bottom: 8px;
  position: relative;
  word-break: break-all;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 99%;
}

.sectiontitle9 {
  color: #671c9d;
  margin-bottom: 0;
  border-bottom: none;
  font-size: 16px;
  font-weight: 600;
  line-height: 30px;
  padding: 0;
}

.mdl-grid {
  display: flex;
  padding: 50px;
}

.rating-container-left {
  border-right: 1px solid #dfdfdf;
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

.rating-container-right {
  padding-top: 20px;
  padding-left: 20px;
  display: flex;
  align-items: flex-start;
  width: 100%;
}

.new-rating-container {
  text-align: center;
  float: right;
  margin-right: 40px;
  margin-top: 10px;
}

.star-rating-title {
  font-size: 36px;
  line-height: 41px;
  font-weight: 600;
}

.ratingtxt1 {
  font-size: 11px;
  margin-bottom: 0;
  display: block;
}

.stars-outer {
  display: inline-block;
  position: relative;
  font-family: "Font Awesome\ 5 Free" !important;
  font-weight: 900 !important;
  margin: 20px 0 0 0;
}

.stars-outer::before {
  content: "\f005 \f005 \f005 \f005 \f005";
  color: #b9b9b9;
}

.stars-inner {
  width: 100%;

  position: absolute;
  top: 0;
  left: 0;
  white-space: nowrap;
  overflow: hidden;
}

.stars-inner::before {
  content: "\f005 \f005 \f005 \f005 \f005";
  color: #f86132;
}

.ratingtxt2 {
  display: block;
  clear: both;
  width: 100%;
  margin-bottom: 15px;
}

.font600 {
  font-weight: 600;
}

.mdl-button.mdl-js-button[disabled] {
  color: #b3b3b3;
  border-color: #d3d1d1;
  cursor: not-allowed;
  background: #efefef;
}

.btn-secondary {
  background: #fff;
  color: #2b262d;
  border: 1px solid #d5d5d5;
  box-shadow: none;
  font-weight: 600;
  text-transform: none;
  padding: 6px 12px;
  border-radius: 2px;
}

.progress-wrapper {
  display: flex;
  margin-bottom: 10px;
}

.progress {
  position: relative;
  height: 5px;
  display: block;
  width: 100%;
  background-color: #dcdcdc;
  border-radius: 2px;
  background-clip: padding-box;
  margin: 0.5rem 0 1rem 0;
  overflow: hidden;
}

.rating-container-right .progress-wrapper .progress {
  width: 180px;
  margin-right: 15px;
  margin-left: 10px;
}

.progress .determinate {
  background-color: green;
  width: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  transition: width 0.3s linear;
}

.progress-wrapper span {
  position: relative;
  top: -2px;
}

.md-content {
  display: block;
  position: relative;
  overflow: auto;
  background: #fff;
  padding: 35px;
}

.md-discussion-container {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  padding-bottom: 7px;
  align-items: center;
  margin-bottom: 12px;
}

.md-discussion-links-container a {
  color: #0366d6;
}

.discussion-add-comment {
  margin-bottom: 20px;
}

.md-lbl2 {
  font-size: 14px;
  color: #050009;
  font-weight: 600;
}

.flex1 {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: nowrap;
  flex-wrap: nowrap;
}

.discussion-add-comment .mdl-textfield {
  width: 100% !important;
}

.md-txtarea-container {
  padding: 5px 0 10px 0;
}

.mdl-textfield {
  position: relative;
  font-size: 16px;
  display: inline-block;
  box-sizing: border-box;
  width: 300px;
  max-width: 100%;
  margin: 0;
  padding: 20px 0;
}

.mdl-textfield textarea.mdl-textfield__input {
  display: block;
}

.md-txtarea {
  border: 1px solid #d5d5d5;
  padding: 7px;
  height: 82px;
  font-size: 14px;
}

.mdl-textfield__input {
  width: 100%;
}

.btn-primary {
  background: #671c9d;
  color: #fff;
  border: 1px solid #671c9d;
}

.discussion-row {
  border-bottom: 1px dotted #bcbcbc;
}

.rating-container .rating {
  cursor: default;
  position: relative;
  overflow: hidden;
  white-space: nowrap;
}

.rating {
  display: inline-block;
  vertical-align: middle;
  clear: both;
}

.fa-star:before {
  content: "\f005";
}

.rating span .fa-star {
  color: #f86132;
}

.rating span i {
  font-size: 14px;
  width: 17px;
}

.clear_both {
  clear: both;
}

.discussion-lbl1 {
  font-size: 11px;
  margin-bottom: 6px;
  display: block;
}

@media (min-width: 700px) and (max-width: 1023px) {
  .rating-container-right .progress-wrapper .progress {
    width: 100px;
  }
}

::ng-deep .mdc-linear-progress__bar-inner {
  border-color: green !important;
}

::ng-deep .mat-mdc-progress-bar .mdc-linear-progress__buffer-bar {
  background-color: #dcdcdc;
  background-color: #dcdcdc;
}

.rating span .fa-star1 {
  color: #b9b9b9 !important;
}

.discussion-container {
  display: flex;
  flex-wrap: nowrap;
  padding: 8px 0 8px 0;
  //  border-bottom: 1px solid #ccc;
  margin-bottom: 8px;
}

.discussion-details {
  padding: 0 0 0 19px;
  width: 100%;
}
.text-small {
  font-size: 12px;
}

.dis-name {
  font-weight: 600;
  color: #671c9d;
  margin-bottom: 0;
}

.btn-comments-edit,
.btn-comments-delete {
  border: 1px solid #b1b1b1;
  font-size: 10px;
  line-height: 18px;
  text-align: right;
  height: 20px;
  padding: 0 4px;
  min-width: 25px;
}

.btn-comments-edit {
  background: #f1f1f1 url("../../../../assets/images/Comment_edit.png")
    no-repeat 3px center;
  width: 40px;
  margin-left: 2px;
}

.btn-comments-delete {
  background: #f1f1f1 url("../../../../assets/images/Comment_delete.png")
    no-repeat 3px center;
  width: 52px;
  margin-left: 2px;
}

.discussion-details p {
  font-size: 14px;
  margin: 9px 0 14px 0;
}

.discussion-details > textarea {
  margin: 10px 0 0 0;
}

.btn-secondary {
  background: #fff;
  color: #2b262d;
  border: 1px solid #d5d5d5;
  box-shadow: none;
  font-weight: 600;
}

.mdl-button.btn-primary,
.mdl-button.btn-secondary {
  box-shadow: none;
  line-height: 27px;
  text-transform: capitalize;
  padding: 0px !important;
  width: 105px;
}

.discussionformbox {
  background: #f1f1f1;
  padding: 10px;
  position: relative;
  margin-top: 10px;
}

.btn-primary {
  background: #671c9d;
  color: #fff;
  border: 1px solid #671c9d;
}

.discussionformbox button {
  margin-left: 10px;
}

.mdl-button.btn-primary,
.mdl-button.btn-secondary {
  box-shadow: none;
  line-height: 27px;
  text-transform: capitalize;
}

.discussionformbox .mdl-textfield {
  width: 100% !important;
  padding: 0;
}

.mdl-textfield {
  position: relative;
  font-size: 16px;
  display: inline-block;
  box-sizing: border-box;
  width: 300px;
  max-width: 100%;
  margin: 0;
  padding: 20px 0;
}

.mdl-textfield__input {
  display: block;
  font-size: 16px;
  font-family: "Helvetica", "Arial", sans-serif;
  margin: 0;
  padding: 4px 0;
  width: 100%;
  text-align: left;
  color: inherit;
}

button {
  cursor: pointer;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.full-width {
  width: 100;
}

.progress-bar {
  width: 25%;
  margin: 10px;
}

.progress-bar-count {
  font-weight: bold;
}

.reply-button {
  margin-top: 4px;
}

.post-reply-button {
  margin-left: auto;
}

.comment-replies-container {
  margin-left: 40px;
  display: flex;
  flex-direction: row;
}

.flexible-margin-left {
  margin-left: auto;
}
